Bug 35971 - Page relocation is ignored when leaving Print Preview mode
Summary: Page relocation is ignored when leaving Print Preview mode
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
3.3.2 release
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
: 35638 90589 (view as bug list)
Depends on:
Blocks: Writer-View-Jumps
  Show dependency treegraph
 
Reported: 2011-04-04 16:12 UTC by Frédéric Buclin
Modified: 2018-11-16 03:42 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Frédéric Buclin 2011-04-04 16:12:47 UTC
When leaving the Print Preview mode of a text document, the page which was viewed before entering the Print Preview mode should be redisplayed instead of jumping to the start of the document.
Comment 1 Rainer Bielefeld Retired 2011-04-04 22:08:43 UTC
NOT reproducible with a document from my own and "LibreOffice 3.3.2  – WIN7  Home Premium  (64bit) German UI [OOO330m19 (Build:202 / tag 3.3.2.2)]". My LibO returns to latest page viewmshen I leave preview mode.

@Frédéric Buclin:
What OS did you test? On what computer? Can you please attach a sample document, screenshots, ...?
Comment 2 Frédéric Buclin 2011-04-05 11:58:12 UTC
Linux, using LibreOffice 3.3.2. A screenshot would be of no help.

I just tried again right now, and the problem didn't happen. Probably it needs some steps to reproduce to trigger the problem. I will let you know when this happens again (my text document has several images and some draws from LibreOffice Draw; maybe one of them is responsible for the problem).
Comment 3 Jan Holesovsky 2011-04-07 11:59:31 UTC
Please reopen when you have the steps to reproduce.  Thank you!
Comment 4 Rainer Bielefeld Retired 2011-04-07 22:16:31 UTC
I just saw the problem with "LibreOffice 3.3.2  – WIN7  Home Premium  (64bit) German UI [OOO330m19 (Build:202 / tag 3.3.2.2)]".

Seems to be document related, I currently have 4 WRITER documents open, one of them shows the problem, the other 3 not. Save / reopen wil not help. problem persists. My document showing the problem is very complex and with confidential contents, I will try to reduce to a suitable sample document.
Comment 5 Rainer Bielefeld Retired 2011-04-15 03:43:44 UTC
I'm able to reproduce the problem with first test kit from 
Bug 32236 - Copy / Paste (as GDI or LibO object) causes crippled view
<https://bugs.freedesktop.org/attachment.cgi?id=40926>

Steps to reproduce:
1. Download and unzip test kit
2. Open "copypasteresult.odt" from WIN file explorer
3. Scroll down, click below last contents of second page
4. Click icon "Page preview" in toolbar
   as expected seocnd page will be shown
5. Click 'Close Page Preview'
   expected: Normal edit view as beefore step 4
   actual: view on page 1 start of document
Comment 6 Rainer Bielefeld Retired 2011-04-15 03:59:57 UTC
Also reproducible for me with first sample "Formato_para_el_paper.odt3" for 
Bug 33368 - EDITING: Libreoffice writer hangs when saving .doc WORD document
"sample0.odt" from
Bug 34187 - MAILMERGE Transfer status" remains on "0 of 0 sent" with attach as pdf  (Insert manual page brake at end of contents before you test preview).

But NOT reproducible with 
sample "freeze.odt" for 
Bug 31199 - Click on specific paragraph will freeze Writer
sample "bug-440795_for-upload.odt"
Bug 33393 - After autosave image shows read-error and will be lost on save
Comment 7 Cor Nouws 2011-06-14 23:14:27 UTC

*** This bug has been marked as a duplicate of bug 35638 ***
Comment 8 Frédéric Buclin 2011-06-15 08:10:49 UTC
It doesn't make sense to dupe this bug to another one which has no info, despite being older. We would loose valuable information we have here, e.g. in comments 4-6. So reversing duplicates.
Comment 9 Frédéric Buclin 2011-06-15 08:10:54 UTC
*** Bug 35638 has been marked as a duplicate of this bug. ***
Comment 10 Frédéric Buclin 2011-06-15 08:12:10 UTC
Confirmed based on several users being able to reproduce the problem.
Comment 11 Rainer Bielefeld Retired 2011-06-15 09:19:06 UTC
I also prefer this one as the remaining one because here more information has been collected.

@Noel:
I saw you active in similar bug reports concerning VIEWING / UI, please feel free to reassign if it’s not your area.
Comment 12 Noel Power 2011-06-16 04:11:10 UTC
(In reply to comment #11)
> @Noel:
> I saw you active in similar bug reports concerning VIEWING / UI, please feel
> free to reassign if it’s not your area.

not really something I know anything about
Comment 13 Max Barry 2011-08-01 16:18:58 UTC
I experience this bug on every single document. Even if I create a brand new document and fill it with text until it spans multiple pages: I enter Print Preview, page up or down, then exit (via ESC or double-click or "Close Preview"), and I am brought back to wherever I was in the document before I entered Print Preview.

This makes LibreOffice unworkable for me, so I've been using OOo (which does NOT exhibit this problem: OOo-dev 3.4.0 OOO340m0 Build 9583).

System: default install from Ubuntu 11.4 64-bit, which is LibreOffice 3.3.2 OOO330m19 (Build:202) tag libreoffice-3.3.2.2, Ubuntu package 1:3.3.2-1ubuntu5.
Comment 14 Max Barry 2011-08-15 17:03:11 UTC
I just noticed that the title of this bug is incorrect. Assuming everyone above is experiencing the same problem as me, and that this is indeed a dupe of Bug #35638, the bug does *not* cause "the first page" of the document to be displayed after exiting Print Preview. Rather, it displays whichever page you were viewing before you entered Print Preview, which may or may not be the first page.
Comment 15 jfjb2005 2011-08-16 07:23:24 UTC
that was my first denotation of the problem, the user returns NOT the 1st
page, but to the CURRENT page he/she was on before page preview.


On Mon, Aug 15, 2011 at 20:03, <bugzilla-daemon@freedesktop.org> wrote:

> https://bugs.freedesktop.org/show_bug.cgi?id=35971
>
> --- Comment #14 from Max Barry <max@maxbarry.com> 2011-08-15 17:03:11 PDT
> ---
> I just noticed that the title of this bug is incorrect. Assuming everyone
> above
> is experiencing the same problem as me, and that this is indeed a dupe of
> Bug
> #35638, the bug does *not* cause "the first page" of the document to be
> displayed after exiting Print Preview. Rather, it displays whichever page
> you
> were viewing before you entered Print Preview, which may or may not be the
> first page.
>
> --
> Configure bugmail: https://bugs.freedesktop.org/userprefs.cgi?tab=email
> ------- You are receiving this mail because: -------
> You are on the CC list for the bug.
>
Comment 16 jfjb2005 2011-08-16 07:32:45 UTC
PS. forgot to mention I am using Win XP SP3, LibreOffice 3.x.
As per my original bug report elsewhere:
1 ... open document page X
2 ... go to Page Preview
3 ... move to page X++ or X--
4... click or press enter
5 ... LibreOffice 3.x always returns to initial page X, unlike OpenOffice or
Go-oo


On Tue, Aug 16, 2011 at 10:22, berg8555 <berg8555@bellsouth.net> wrote:

> that was my first denotation of the problem, the user returns NOT tp the
> 1st page, but to the CURRENT page he/she was on before page preview.
>
>
> On Mon, Aug 15, 2011 at 20:03, <bugzilla-daemon@freedesktop.org> wrote:
>
>> https://bugs.freedesktop.org/show_bug.cgi?id=35971
>>
>> --- Comment #14 from Max Barry <max@maxbarry.com> 2011-08-15 17:03:11 PDT
>> ---
>> I just noticed that the title of this bug is incorrect. Assuming everyone
>> above
>> is experiencing the same problem as me, and that this is indeed a dupe of
>> Bug
>> #35638, the bug does *not* cause "the first page" of the document to be
>> displayed after exiting Print Preview. Rather, it displays whichever page
>> you
>> were viewing before you entered Print Preview, which may or may not be the
>> first page.
>>
>> --
>> Configure bugmail: https://bugs.freedesktop.org/userprefs.cgi?tab=email
>> ------- You are receiving this mail because: -------
>> You are on the CC list for the bug.
>>
>
>
Comment 17 jfjb2005 2011-08-16 07:34:45 UTC
je peux aussi expliquer la situation en francais siquelquun n'a pas compris la difference entre un fait et une opinion.
Comment 18 Max Barry 2011-10-27 15:33:51 UTC
Updated title to more accurately describe bug; also "Version" field to note that bug is still present in 3.4.3.
Comment 19 Rainer Bielefeld Retired 2011-10-27 21:30:46 UTC
@Max Barry:
<http://wiki.documentfoundation.org/BugReport_Details#Version>
Of course the bug still is in 4.3.4, otherwise the status would be "Resolved-xxx"
Comment 20 Frédéric Buclin 2012-10-31 00:01:40 UTC
Things are worse in LibO 3.6.2. It comes back to some random page (page 2 in my case) despite I was viewing and editing page 5 before going to the Print Preview.
Comment 21 Jorendc 2013-03-19 18:31:53 UTC
assigned-to field is reset, so mark this bug back to NEW.
Comment 22 QA Administrators 2015-02-19 15:31:38 UTC Comment hidden (obsolete)
Comment 23 Buovjaga 2015-03-07 11:37:21 UTC
(In reply to Rainer Bielefeld Retired from comment #5)
> I'm able to reproduce the problem with first test kit from 
> Bug 32236 - Copy / Paste (as GDI or LibO object) causes crippled view
> <https://bugs.freedesktop.org/attachment.cgi?id=40926>
> 
> Steps to reproduce:
> 1. Download and unzip test kit
> 2. Open "copypasteresult.odt" from WIN file explorer
> 3. Scroll down, click below last contents of second page
> 4. Click icon "Page preview" in toolbar
>    as expected seocnd page will be shown
> 5. Click 'Close Page Preview'
>    expected: Normal edit view as beefore step 4
>    actual: view on page 1 start of document

Still reproduced.

Win 7 Pro 64-bit, LibO Version: 4.4.1.2
Build ID: 45e2de17089c24a1fa810c8f975a7171ba4cd432
Locale: fi_FI

Version: 4.5.0.0.alpha0+ (x64)
Build ID: 5a009a4387a84a36d2e3418c7e7b097cb10c3f5a
TinderBox: Win-x86_64@42, Branch:master, Time: 2015-03-04_15:00:21
Locale: fi_FI
Comment 24 Buovjaga 2015-04-17 17:27:13 UTC
*** Bug 90589 has been marked as a duplicate of this bug. ***
Comment 25 QA Administrators 2016-09-20 09:24:18 UTC Comment hidden (obsolete)
Comment 26 Thomas Lendo 2017-11-15 23:50:24 UTC
Still reproducible.

Version: 6.0.0.0.alpha1+
Build ID: 9050854c35c389466923f0224a36572d36cd471a
CPU threads: 4; OS: Linux 4.10; UI render: default; VCL: gtk3; 
Locale: de-DE (de_DE.UTF-8); Calc: group
Comment 27 QA Administrators 2018-11-16 03:42:49 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug